## org.apache.http.entity.mime
Class FormBodyPart

    java.lang.Object
      org.apache.http.entity.mime.FormBodyPart

    public class FormBodyPart

extends Object

FormBodyPart class represents a content body that can be used as a part of multipart encoded entities. This class automatically populates the header with standard fields based on the content description of the enclosed body.

Since:
  4.0

Constructor Summary
`FormBodyPart(String name, ContentBody body)`

Method Summary
`void` `addField(String name, String value)`
`protected void` `generateContentDisp(ContentBody body)`
`protected void` `generateContentType(ContentBody body)`
`protected void` `generateTransferEncoding(ContentBody body)`
`ContentBody` `getBody()`
`Header` `getHeader()`
`String` `getName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormBodyPart

    public FormBodyPart(String name,
                        ContentBody body)

Method Detail

### getName

    public String getName()

### getBody

    public ContentBody getBody()

### getHeader

    public Header getHeader()

### addField

    public void addField(String name,
                         String value)

### generateContentDisp

    protected void generateContentDisp(ContentBody body)

### generateContentType

    protected void generateContentType(ContentBody body)

### generateTransferEncoding

    protected void generateTransferEncoding(ContentBody body)

Copyright © 1999-2012 The Apache Software Foundation. All Rights Reserved.